Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160837 - SIGSEGV received with IBM JDK 1.4.1 /Red Hat Linux 3 (taroon)
Summary: SIGSEGV received with IBM JDK 1.4.1 /Red Hat Linux 3 (taroon)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: IBMJava2-JRE
Version: 3.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Patrick Macdonald
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-17 18:53 UTC by deebas
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-19 18:59:52 UTC


Attachments (Terms of Use)
java core (deleted)
2005-06-17 18:57 UTC, deebas
no flags Details

Description deebas 2005-06-17 18:53:35 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322)

Description of problem:
Symptoms:
Using an application that creates a lot of threads and
starts lots of processes.sometime JVMsthat are running the processes dies.Basically one controller program tries to ping the remoteobject but there is no reply back .
The java core shows a SIGSEGV received in ?? at in /websphere_5/appserver/java/jre/bin/libjitc.so.
Java cores created every couple of hours

java core attached





Version-Release number of selected component (if applicable):
OS Level         : 2.4.21-27.ELsmp.#1 SMP Wed Dec 1 21:59:02 EST 2004

How reproducible:
Always

Steps to Reproduce:
Has anybody experienced similar problems ? Not sure if this is a bug or
an issue with a missing patch ..
  

Additional info:

Comment 1 deebas 2005-06-17 18:57:00 UTC
Created attachment 115632 [details]
java core

Comment 2 Steve Russell 2005-07-18 16:08:20 UTC
Hi,

We saw this extensively.  Basically the in order to work on RHEL3 u need IBM 
1.4.2 sr1a or later (current is sr2).  Particularly bad when u use JNI, but 
that isn't the only thing that trips it.

Comment 3 RHEL Product and Program Management 2007-10-19 18:59:52 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.